package pwc.taxtech.atms.vat.service.impl;

import org.springframework.stereotype.Service;
import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.vat.entity.CellComment;
import pwc.taxtech.atms.vat.entity.CellCommentExample;
import pwc.taxtech.atms.vat.service.CellCommentService;

import java.util.List;
import java.util.Optional;

@Service
public class CellCommentServiceImpl extends VatAbstractService implements CellCommentService {
    @Override
    public OperationResultDto<List<CellComment>> getCellComments(Optional<Long> cellDataId) {
        OperationResultDto resultDto = new OperationResultDto();

        if(!cellDataId.isPresent()||cellDataId.get()==0L){
            resultDto.setResult(false);
            resultDto.setResultMsg("cellDataId is invalid");
            return resultDto;
        }

        CellCommentExample example = new CellCommentExample();
        example.createCriteria().andCellDataIdEqualTo(cellDataId.get());
        List<CellComment> cellComments = cellCommentMapper.selectByExample(example);
        resultDto.setResult(true);
        resultDto.setData(cellComments);
        return resultDto;
    }
}
